Package org.eclipse.cdt.utils.macho

# Class MachO64.SymSegCommand

java.lang.Object
org.eclipse.cdt.utils.macho.MachO64.LoadCommand
org.eclipse.cdt.utils.macho.MachO64.SymSegCommand

Enclosing class:
  `MachO64`

public class MachO64.SymSegCommand extends MachO64.LoadCommand

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`offset`
`int`
`size`

### Fields inherited from class org.eclipse.cdt.utils.macho.MachO64.LoadCommand

`cmd, cmdsize, LC_BUILD_VERSION, LC_CODE_SIGNATURE, LC_DATA_IN_CODE, LC_DYLD_CHAINED_FIXUPS, LC_DYLD_EXPORTS_TRIE, LC_DYSYMTAB, LC_FUNCTION_STARTS, LC_FVMFILE, LC_ID_DYLIB, LC_ID_DYLINKER, LC_IDENT, LC_IDFVMLIB, LC_LOAD_DYLIB, LC_LOAD_DYLINKER, LC_LOAD_WEAK_DYLIB, LC_LOADFVMLIB, LC_MAIN, LC_PREBIND_CKSUM, LC_PREBOUND_DYLIB, LC_PREPAGE, LC_REQ_DYLD, LC_ROUTINES, LC_ROUTINES_64, LC_RPATH, LC_SEGMENT, LC_SEGMENT_64, LC_SOURCE_VERSION, LC_SUB_CLIENT, LC_SUB_FRAMEWORK, LC_SUB_LIBRARY, LC_SUB_UMBRELLA, LC_SYMSEG, LC_SYMTAB, LC_THREAD, LC_TWOLEVEL_HINTS, LC_UNIXTHREAD, LC_UUID`

## Constructor Summary

Constructors
Constructor
Description
`SymSegCommand()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### offset

public int offset

### size

public int size

## Constructor Details

### SymSegCommand

public SymSegCommand()